Skip to main content
PATCH
Update contact

Authorizations

X-YoLead-Key
string
header
required

Public API key generated in the YoLead UI.

X-YoLead-Timestamp
string
header
required

Unix timestamp in milliseconds. Requests must be signed within a 5-minute window.

X-YoLead-Signature
string
header
required

Hex HMAC-SHA256 signature over <timestamp>.<raw_body> using the API secret.

Path Parameters

contactId
string
required

Contact id. MongoDB ObjectId represented as a 24-character hexadecimal string.

Pattern: ^[0-9a-fA-F]{24}$
Example:

"64f000000000000000000001"

Body

application/json
firstName
string
Required string length: 1 - 100
lastName
string
Required string length: 1 - 100
identities
object

At least one identity type is required when creating a contact. Each provided identity type contains 1 to 20 trimmed values of at most 512 characters.

Response

Contact updated.

data
object
required